curl --request POST \
--url https://api.hubapi.com/cms/v3/hubdb/tables/{tableIdOrName}/rows/draft/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"childTableId": 123,
"displayIndex": 123,
"values": {},
"name": "<string>",
"path": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"childTableId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"path": "<string>",
"publishedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"values": {}
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Crea filas en la versión en borrador de la tabla especificada, dada una secuencia de objetos de fila. Un máximo de 100 objetos de fila por llamada. Consulta la sección de resumen para obtener más detalles con un ejemplo.
curl --request POST \
--url https://api.hubapi.com/cms/v3/hubdb/tables/{tableIdOrName}/rows/draft/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"childTableId": 123,
"displayIndex": 123,
"values": {},
"name": "<string>",
"path": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"childTableId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"path": "<string>",
"publishedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"values": {}
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Productos compatibles
Ámbitos Requeridos
The access token received from the authorization server in the OAuth 2.0 flow.
El ID o nombre de la tabla de HubDB.
Show child attributes
successful operation
La marca de tiempo que indica cuándo se completó el procesamiento por lotes.
Show child attributes
La marca de tiempo que indica cuándo comenzó el procesamiento por lotes.
El estado actual de la operación por lotes, con los valores posibles: CANCELADO, COMPLETADO, PENDIENTE, PROCESANDO.
CANCELED, COMPLETE, PENDING, PROCESSING Una recopilación de enlaces relacionados asociados con la respuesta por lotes.
Show child attributes
La marca de tiempo que indica cuándo se hizo la solicitud por lotes.